Android P neće podržavati aplikacije za starije Android

0
794

Android 9 gubi podršku za aplikacije kreirane za Android 4.1

Android P neće podržavati aplikacije za starije Android sisteme. Android P, sledeća verzija Google-ovog mobilnog operativnog sistema, izgleda da će blokirati aplikacije napravljene za Android 4.1 i niže. Ranije ovog meseca, Google je objavio Android P Developer Preview. Čini se da će početi blokirati aplikacije koje su previše stare. Prema najnovijim izveštajima, od sada će se zahtevati da programeri dodju do minimalnog API nivoa od 17. To je isto kao i Android 4.2. To u suštini znači da će aplikacije ispod tog nivoa API-ja prestati da funkcionišu kada Android P krene na mobilne uredjaje.

Kako osloboditi memoriju na Android telefonu

Android P neće podržavati aplikacije
Izveštaj Android police portala preko Reddita zabeležio je novu MIN_SUPPORTED_TARGET_SDK_INT klasu koja otkriva minimalni nivo API-ja koji podržava Android P. Kao što je pomenuto, u izveštaju se navodi da je minimalni API nivo za Android P koji je definisala nova klasa 17. Reddit post, sa detaljima o API-ju za Android P, takođe kaže da će aplikacije koje ciljaju nižu vrednost od ove, biti blokirane kako za instalaciju tako i za pokretanje.

Naime, u Android P Developer Preview 1, Google upozorava korisnike kada pokuša da pokrene staru aplikaciju i vraća sledeću poruku. “Ova aplikacija je napravljena za stariju verziju Androida i možda neće funkcionisati ispravno. Pokušajte da proverite ažuriranja ili kontaktirajte programera.”

Još u decembru, Google je u blog postu rekao da će nove aplikacije koje se šalju Google Play-u morati da ciljaju Android verzije stare ne više od godinu dana. Dakle, počevši od Androida P. Minimalne podržane aplikacije će biti iznad Android 4.2, a nove aplikacije će morati da ciljaju Android 8.0 Oreo ili više.

Android P neće podržavati aplikacije , koje aplikacije će Google blokirati?

Nejasno je da li će Google u potpunosti blokirati stare aplikacije u poslednjoj verziji Android P-a ili će na početku doći do upozorenja, ostaje da se vidi. Ovaj potez može da dodje kao odgovor onog trenutka kada Google pokušava da poboljša sigurnosne funkcije pomoću Android P, što kompanija takođe radi blokiranjem aplikacija koje se zasnivaju na pristupu kameri i mikrofonu za pametne telefone. Neke stare aplikacije, uprkos tome što su funkcionalne, mogu sadržati bezbednosne ranjivosti. Drugi razlog bi mogao biti da aplikacije napravljene za Android 4.1 i ranije možda nisu toliko optimizovane za savremene pametne telefone.

Android P neće podržavati aplikacije

Vreme je da se pozdravite sa arhaičnim aplikacijama na Google Play Store-u koje nisu videli ažuriranje od Android Jelli Bean-a. Ili ćete morati da se držite svojih starih pametnih telefona ili Android verzija da biste koristili takve aplikacije. Izgleda da Google sledi korake Apple-a, koji je 2017. godine završio podršku 32-bitnim aplikacijama u iOS-u 11.

Da bi se ponovio, Android P je dodao tone novih funkcija na najpopularniji mobilni operativni sistem na svetu, uključujući podršku za višestruke kamere, poboljšane performanse i sigurnost, poboljšanja za Android Runtime i još mnogo toga. Jedno je sigurno , Android P neće podržavati aplikacije za starije sisteme.

Izvor: Android Police

POSTAVI ODGOVOR

Please enter your comment!
Please enter your name here

Ово веб место користи Акисмет како би смањило непожељне. Сазнајте како се ваши коментари обрађују.